Results 1 to 5 of 5

Thread: redefining blocks

  1. #1
    Member
    Join Date
    2004-12
    Posts
    42
    Login to Give a bone
    0

    Default redefining blocks

    I have several blocks that i have created with custom attributes

    I have been asked to modify several of these blocks and i seem to be having a problem
    when i try to resave them

    when i orginaly saved the blocks i selected each attribute in the order that i wanted them to be in

    now if i try to modify them in anyway the attributes are getting mixed up....

    how can i make modificatins to the blocks and not mess up the attributes ?????

  2. #2
    Administrator Opie's Avatar
    Join Date
    2002-01
    Location
    jUSt Here (a lot)
    Posts
    9,132
    Login to Give a bone
    0

    Default Re: redefining blocks

    Have a look at this thread, and following any links within.
    If you have a technical question, please find the appropriate forum and ask it there.
    You will get a quicker response from your fellow AUGI members than if you sent it to me via a PM or email.
    jUSt

  3. #3
    Member
    Join Date
    2004-12
    Posts
    42
    Login to Give a bone
    0

    Default Re: redefining blocks

    thanks for the help

    Do you know of any other way to work with the attributes in a block other than the order in which they are saved...maybe by the tag

    I am not sure if this is possible but thought i would ask...

    here is what i am currently doing....

    ThisDrawing.ModelSpace.InsertBlock(vMaxCoord, _
    "c:\weldedfilterflange\" + filterdrawing, vScale, vScale, vScale, 0)
    If filterdrawing = "spclrectfilterflg.dwg" Then
    varAttributes = BlockRefObject.GetAttributes
    varAttributes(0).TextString = OutsideWidthtxt + """"
    varAttributes(1).TextString = "(" + txtSpacing3 + ") " + "SPCS " + "@ " + txtSpacing4 + "=" + txtSpacing5
    varAttributes(2).TextString = InsideWtxt + """"
    varAttributes(3).TextString = Spacing1txt + """"
    varAttributes(4).TextString = Spacing2txt + """"

  4. #4
    Administrator Opie's Avatar
    Join Date
    2002-01
    Location
    jUSt Here (a lot)
    Posts
    9,132
    Login to Give a bone
    0

    Default Re: redefining blocks

    You may want to ask this in the VBA forum. You will probably get more help there with this type of question.
    If you have a technical question, please find the appropriate forum and ask it there.
    You will get a quicker response from your fellow AUGI members than if you sent it to me via a PM or email.
    jUSt

  5. #5
    The Silent Type Mike.Perry's Avatar
    Join Date
    2000-11
    Posts
    13,656
    Login to Give a bone
    0

    Default Re: redefining blocks

    Hi

    Have a browse of the following post...

    RE: Adding addtional Attributes

    Have a good one, Mike

Similar Threads

  1. redefining mvparts blocks
    By mwalker.87963 in forum Parts Builder
    Replies: 1
    Last Post: 2010-09-17, 02:11 AM
  2. Redefining Blocks
    By Doodlemusmaximus in forum AutoCAD General
    Replies: 5
    Last Post: 2008-02-26, 12:32 PM
  3. Redefining old Blocks to new Dynamic Blocks
    By dgriessmann.86073 in forum AutoCAD General
    Replies: 2
    Last Post: 2006-10-31, 09:41 PM
  4. Redefining your Dynamic Blocks
    By whdjr in forum AutoCAD Tips & Tricks
    Replies: 1
    Last Post: 2006-06-27, 02:51 PM
  5. Dynamic Blocks Not Redefining
    By Rico in forum Dynamic Blocks - Technical
    Replies: 9
    Last Post: 2006-02-07, 07:50 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •